
#import <appkit/appkit.h>

@interface RulePanel:View {

/*----- main panel ---------------------------------------------------*/

	id		ascru;
	id		sqascru;
	id		pSliders;
	id		pWindows;
	id		ruButtons;
	id		ruleBox;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		sqRuleBox;
	id		tiDat;
	id		whichState;
	id		wrule;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;

/* - - - - - - - Holding Box for Special Rules - - - - - - - - - */

	id		specBigBox;
	id		specLilBox;
	id		equivRuleBox;
	id		prodRuleBox;
	id		subsetRuleBox;
	id		permutRuleBox;
	id		arithmRuleBox;

/* ----- symmetry class  Window -----------------------------------------*/

	id		symImages;
	id		symMinimum;

/* ----- cartesian product  ---------------------------------------------*/

	id		cartesRuleBox;
	id		prodFact;

/* ----- Fredkin's rule  ------------------------------------------------*/

	id		fredknRuleBox;
	id		fredDir;
	id		fredRule;
	id		fredXor;
	id		fred2hRule;

/* permuted rule - - - - - - - - - - - - - - - - - - - - - - -  */

	id		pMut0;
	id		pMut1;
	id		pMut2;
	id		pMut3;


	id		gfWindow;

/* clannish Window  - - - - - - - - - - - - - - - - - - - - - */

	id		clanMatrix;
	id		clan2h;

/* xenophobic Window - - - - -- - -  - - - - - - - - - - -- - - - - -- */
	id		obBnry;

	id		stRuleNumber;
	id		stWindow;

/* totalistic rules  - - - - - - - - - - - - - - - - - - - - - */

	id		toascru;
	id		toRuleBox;
	id		toRuleNumber;
	id		toWindow;


/* -----  Rule Trivia  ----------------------------------------------*/

	id		statEntro;
	id		statPEntro;
	id		statIndx;
	id		statLamb;
	id		statPairs;
	id		statState;
	id		statXeno;

/* ----- design Window -------------------------------------------------*/

	id		designBox;
	id		designPanel;
	id		designRef;
	id		dsgn00;
	id		dsgn01;
	id		dsgn02;
	id		dsgn03;
	id		dsgn10;
	id		dsgn11;
	id		dsgn12;
	id		dsgn13;
	id		dsgn20;
	id		dsgn21;
	id		dsgn22;
	id		dsgn23;
	id		dsgn30;
	id		dsgn31;
	id		dsgn32;
	id		dsgn33;

/* ----- design REC -------------------------------------------------*/

	id		browser;
	id		changeLine;
	id		RECLine;
	id		RECPanel;
	id		RECValue;

/* arithmetic Box   - - - - - - - - - - - - - - - - - - - - - - */
	id		twoRules;

	id		dbguph;

	id		eatingCell;

	id		dataText;

}

- copyRuleBox:sender;
- freeAllRules:sender;
- insertRule:sender;
- protectGenRule:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readSqRule:sender;
- readWRule:sender;
- resetRuButtons:sender;
- setAllImages:sender;
- setAllRules:sender;
- setDemo:sender;
- setRule:sender; 
- showProbability:sender;
- symRule:sender;
- zeroRules:sender; 

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- loadLowerPanel:thisRuleBox;
- loadSpecialRule:sender;

/* permutation Window  - - - - - - - - - - - - - - - - - - - - - */

- perMute:sender;
- pmutValue:sender;
- pmutRule:sender;

- fredRev:sender;
- readFredCell:sender;
- readFredMenu:sender;

- prodRule:sender;

- showSymClass:sender;

- enterGF4Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- enterTotalisticRule:sender;
- ranTRule:sender;
- readTRule:sender;
- setTotRule:sender;
- setTotRules:sender;

- randphobic:sender;
- xenophilic:sender;
- xenophobic:sender;
- enterPair:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;

- nhul:sender;

- nxasfreq; 
- runRECLine: sender;
- useRecLine:sender;

/* ----------    arithmRulebox   ------------ */
- arithmCombs:sender;
- initTwoRules:sender;

- showDataText:(char *)text;
- symMetr:sender;

@end 

/* end RulePanel.h */ 
