
/* 
 * TripleView.h -- Interface file for the TripleView class 
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or implied, as to its
 * fitness for any particular use, or even that it has any use at all.
 *
 */

#import <appkit/appkit.h>

@interface TripleView:View
{

	id		disTriple;
	id		ordTriple;
	id		treeShow;
	id		linkAge;
	id		moveWhich;
	id		nodeNumber;
	id		ruleNumber;

	id		trTriv1;
	id		trTriv2;

	id		menuCopyV;
	id		menuCopyW;
	id		menuPrint;

	id		tripleWindow;
	id		theTripleView;
	id		timeDate;
	
	id		delegate;
	id		crossCursor;
}

- copyTripleView:sender;
- copyTripleWindow:sender;
- drawTriple:sender;
- loadTriple:sender;
- printTriple:sender;
- redrawTriple:sender;

- initFrame:(const NXRect *)frameRect;
- setDelegate:anObject;
- drawSelf:(const NXRect *)rects :(int)rectCount;
- sizeTo:(NXCoord)width :(NXCoord)height;
- mouseDown:(NXEvent *)theEvent;

@end

/* end TripleView.h */
