
#import "GrabBag.h"
#import "nxlcau4h.h"
#import "rec.h"
#import "rectbl.h"

char   va[KK] = {'p', 'q', 'r', 's'};

extern char reverules[][40];
extern int  binrule[KK][KK];


Inst  rprg[10][128];  			/* rec program array */ 
//Inst  rprg[PLEN];                     /* rec program array */
struct fptbl dtbl[];             	/* rec operators & predicates */
extern char  idef[1][30];		/* initially defined o & p's */ 
char cstr[CLEN];			/* console rec program */
char  recrule[NY][CLEN];
int phil; 				/* length of cstr */


/* prototypes of doRec */
int rec(char *z);
int rec_c(char *z, Inst  rprg, int l, struct fptbl dtbl[]);
int rec_x(Inst  rprg);

/* ....................*/

void asctobin();
int  eq01(int i, int j);
int  eq02(int i, int j);
int  eq03(int i, int j);
int  eq04(int i, int j);
int  eq05(int i, int j);
int  eq06(int i, int j);
int  eq07(int i, int j);
int  eq08(int i, int j);
int  eq09(int i, int j);
int  eq10(int i, int j);
int  eq11(int i, int j);
int  eq12(int i, int j);
int  eq13(int i, int j);
int  frac1(int a);
int  frac2(int a, int b);
int  frac3(int a, int b, int c);
int  isab(int a, int b, int i);
int  isabc(int a, int b, int c, int i);
int  qr13(int a, int b, int c, int d);
int  qr22(int a, int b, int c, int d);
int  qr211(int a, int b, int c, int d);
void runowows(char x[2][2], int n);
int  wolbin(int a, int b);
int  woltin(int a, int b, int c);
int  worsruno(char ru[3][3]);
int  wowsruno(char ru[2][2]);
void wru(char *c);


@implementation GrabBag



/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* - - - - - - - - - -   O R D E R   R E L A T I O N S   - - - - - - - - - - */
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

- showSubText: (char *)ch {int tl;
  tl=[subText textLength];
  [subText setSel: tl: tl];
  [subText replaceSel:  ch];
  [subText scrollSelToVisible];
  [subText display];
return self;
}

/* check the indices for all the subsets */
- subAut:sender {
asctobin();
  [self showSubText: "Subset indices:\n\n"];
  [self showSubText: "(0123) 16/16\n\n"];
  [self threes];
  [self showSubText: "\n"];
  [self twos];
  [self showSubText: "\n"];
  [self ones];
printf("goodbye from subAut\n");
return self;
  }

/* check the three-element subsets */
- threes {
char ch[30];
int  l;

  l= frac3(1,2,3);
  if (l==9) sprintf(ch,"(123)   %5d/ 9  %3d\n",l,woltin(1,2,3));
        else sprintf(ch,"(123)   %5d/ 9\n",l); 
  [self showSubText: ch];

  l= frac3(0,2,3);
  if (l==9) sprintf(ch,"(023)   %5d/ 9  %3d\n",l,woltin(0,2,3));
        else sprintf(ch,"(023)   %5d/ 9\n",l); 
  [self showSubText: ch];

  l= frac3(0,1,3);
  if (l==9) sprintf(ch,"(013)   %5d/ 9  %3d\n",l,woltin(0,1,3));
        else sprintf(ch,"(013)   %5d/ 9\n",l); 
  [self showSubText: ch];

  l= frac3(0,1,2);
  if (l==9) sprintf(ch,"(012)   %5d/ 9  %3d\n",l,woltin(0,1,2));
        else sprintf(ch,"(012)   %5d/ 9\n",l); 
  [self showSubText: ch];

return self;
}

/* ascertain the Wolfram Rule Number of a three-state subautomaton */

int woltin(a,b,c) int a, b, c; {
char ru[3][3], eq[3];
int  k, i0, i1, s[3];
s[0]=a; s[1]=b; s[2]=c;
eq[a]='0'; eq[b]='1'; eq[c]='2';
for (i0=0; i0<3; i0++)
for (i1=0; i1<3; i1++){
  k=binrule[s[i0]][s[i1]];
  if (k==a || k==b || k==c) ru[i0][i1]=eq[k]; else return 19683;
  }
return worsruno(ru);
}

/* turn three-state ascrule into its three-state Wolfram number */
int worsruno(ru) char ru[3][3]; {
int  k, i0, i1;
  k=0;
  for (i0=2; i0>=0; i0--)
  for (i1=2; i1>=0; i1--) {
    k=3*k+ru[i0][i1]-'0';
    }
  return k;
}

/* calculate fraction of neighborhoods which conserve the evolution */
/* of a particular three element subset and report this as an index */
int frac3(a,b,c) int a, b, c; {int k, i0, i1, s[3];
k=0; s[0]=a; s[1]=b; s[2]=c;
for (i0=0; i0<3; i0++)
for (i1=0; i1<3; i1++)
  if (isabc(a,b,c,binrule[s[i0]][s[i1]])) k++;
return k;
}

/* check membership in three-element set */
int isabc(a,b,c,i) int a, b, c, i; {return (i==a||i==b||i==c);}

/* check the two-element subsets */
- twos {
char ch[30];
int  l;

  l= frac2(0,1);
  if (l==4) sprintf(ch,"(01)   %2d/ 4  %3d\n",l,wolbin(0,1));
        else sprintf(ch,"(01)   %2d/ 4\n",l); 
  [self showSubText: ch];

  l= frac2(0,2);
  if (l==4) sprintf(ch,"(02)   %2d/ 4  %3d\n",l,wolbin(0,2));
        else sprintf(ch,"(02)   %2d/ 4\n",l); 
  [self showSubText: ch];

  l= frac2(0,3);
  if (l==4) sprintf(ch,"(03)   %2d/ 4  %3d\n",l,wolbin(0,3));
        else sprintf(ch,"(03)   %2d/ 4\n",l); 
  [self showSubText: ch];

  l= frac2(1,2);
  if (l==4) sprintf(ch,"(12)   %2d/ 4  %3d\n",l,wolbin(1,2));
        else sprintf(ch,"(12)   %2d/ 4\n",l); 
  [self showSubText: ch];

  l= frac2(1,3);
  if (l==4) sprintf(ch,"(13)   %2d/ 4  %3d\n",l,wolbin(1,3));
        else sprintf(ch,"(13)   %2d/ 4\n",l); 
  [self showSubText: ch];

  l= frac2(2,3);
  if (l==4) sprintf(ch,"(23)   %2d/ 4  %3d\n",l,wolbin(2,3));
        else sprintf(ch,"(23)   %2d/ 4\n",l); 
  [self showSubText: ch];


return self;
}

/* calculate fraction of neighborhoods which conserve the evolution */
/* of a particular two element subset and report this as an index */

int frac2(a,b) int a, b; {int k, i0, i1, s[2];
k=0; s[0]=a; s[1]=b;
for (i0=0; i0<2; i0++)
for (i1=0; i1<2; i1++)
  if (isab(a,b,binrule[s[i0]][s[i1]])) k++;
return k;
}

/* check membership in two-element set */
int isab(a,b,i) int a, b, i; {return (i==a||i==b);}

/* turn two-state ascrule into its two-state Wolfram number */
int wowsruno(ru) char ru[2][2]; {
int  k, i0, i1;
  k=0;
  for (i0=1; i0>=0; i0--)
  for (i1=1; i1>=0; i1--){
    k=2*k+ru[i0][i1]-'0';
    }
  return k;
}

/* turn two-state Wolfram number into 2x2 ascrule */
void runowows(x,n) char x[2][2]; int n; {
int i, i0, i1;
  i=n;
  for (i0=0; i0<2; i0++) 
  for (i1=0; i1<2; i1++) {
    x[i0][i1]=i%2+'0';
    i/=2;
    }
}

/* ascertain the Wolfram Rule Number of a two-state subautomaton */

int wolbin(a,b) int a, b; {
char ru[2][2];
int  k, i0, i1, s[2], eq[KK];
s[0]=a; s[1]=b;
eq[a]='0'; eq[b]='1';
for (i0=0; i0<2; i0++)
for (i1=0; i1<2; i1++){
  k=binrule[s[i0]][s[i1]];
  if (isab(a,b,k)) ru[i0][i1]=eq[k]; else return 16;
  }
return wowsruno(ru);
}

/* calculate fraction of neighborhoods which conserve the evolution */
/* of a particular one element subset and report this as an index   */
int frac1(a) int a; {int k; k=0; if (a==binrule[a][a]) k++; return k;}

/* check whether one-element subset is closed */
- ones {
char ch[20];
sprintf(ch,"(0)    %2d/ 1\n",frac1(0)); [self showSubText: ch];
sprintf(ch,"(1)    %2d/ 1\n",frac1(1)); [self showSubText: ch];
sprintf(ch,"(2)    %2d/ 1\n",frac1(2)); [self showSubText: ch];
sprintf(ch,"(3)    %2d/ 1\n",frac1(3)); [self showSubText: ch];
return self;
}

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* - - - - - - -   E Q U I V A L E N C E   R E L A T I O N S   - - - - - - - */
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

- showEquText: (char *)ch {int tl;
  tl=[equText textLength];
  [equText setSel: tl: tl];
  [equText replaceSel:  ch];
  [equText scrollSelToVisible];
  [equText display];
return self;
}

/* calculate equivalence relation indices */

- equAut:sender {
char   ch[40];
int    i, j, i0, i1, i3, i4, q[15], t[15];
double r[15];
asctobin();
for (i=0; i<15; i++) q[i]=t[i]=0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
  {
  i=binrule[i0][i1];
  j=binrule[i3][i4];
  q[0]++;
  if (eq01(i0,i3)&&eq01(i1,i4)) {t[1]++; if (eq01(i,j)) q[1]++;}
  if (eq02(i0,i3)&&eq02(i1,i4)) {t[2]++; if (eq02(i,j)) q[2]++;}
  if (eq03(i0,i3)&&eq03(i1,i4)) {t[3]++; if (eq03(i,j)) q[3]++;}
  if (eq04(i0,i3)&&eq04(i1,i4)) {t[4]++; if (eq04(i,j)) q[4]++;}
  if (eq05(i0,i3)&&eq05(i1,i4)) {t[5]++; if (eq05(i,j)) q[5]++;}
  if (eq06(i0,i3)&&eq06(i1,i4)) {t[6]++; if (eq06(i,j)) q[6]++;}
  if (eq07(i0,i3)&&eq07(i1,i4)) {t[7]++; if (eq07(i,j)) q[7]++;}
  if (eq08(i0,i3)&&eq08(i1,i4)) {t[8]++; if (eq08(i,j)) q[8]++;}
  if (eq09(i0,i3)&&eq09(i1,i4)) {t[9]++; if (eq09(i,j)) q[9]++;}
  if (eq10(i0,i3)&&eq10(i1,i4)) {t[10]++; if (eq10(i,j)) q[10]++;}
  if (eq11(i0,i3)&&eq11(i1,i4)) {t[11]++; if (eq11(i,j)) q[11]++;}
  if (eq12(i0,i3)&&eq12(i1,i4)) {t[12]++; if (eq12(i,j)) q[12]++;}
  if (eq13(i0,i3)&&eq13(i1,i4)) {t[13]++; if (eq13(i,j)) q[13]++;}
  q[14]++;
  }
r[0]=1.0;
for (i=1; i<14; i++) r[i]=((double)q[i])/((double)t[i]);
r[14]=1.0;
[self showEquText: "Equivalence indices\n\n"];
sprintf(ch,"(0123)       %5.3f\n",r[0]);  [self showEquText: ch];

if (r[1]==1.0) sprintf(ch,"(0)(123)     %5.3f,   %3d\n",r[1],qr13(0,1,2,3));
   else sprintf(ch,"(0)(123)     %5.3f\n",r[1]);
  [self showEquText: ch];

if (r[2]==1.0) sprintf(ch,"(1)(023)     %5.3f,   %3d\n",r[2],qr13(1,0,2,3));
   else sprintf(ch,"(1)(023)     %5.3f\n",r[2]);
  [self showEquText: ch];

if (r[3]==1.0) sprintf(ch,"(2)(013)     %5.3f,   %3d\n",r[3],qr13(2,0,1,3));
   else sprintf(ch,"(2)(013)     %5.3f\n",r[3]);
  [self showEquText: ch];

if (r[4]==1.0) sprintf(ch,"(3)(012)     %5.3f,   %3d\n",r[4],qr13(3,0,1,2));
   else sprintf(ch,"(3)(012)     %5.3f\n",r[4]);
  [self showEquText: ch];

if (r[5]==1.0) sprintf(ch,"(01)(23)     %5.3f,   %3d\n",r[5],qr22(0,1,2,3));
   else sprintf(ch,"(01)(23)     %5.3f\n",r[5]);
  [self showEquText: ch];

if (r[6]==1.0) sprintf(ch,"(02)(13)     %5.3f,   %3d\n",r[6],qr22(0,2,1,3));
   else sprintf(ch,"(02)(13)     %5.3f\n",r[6]);
  [self showEquText: ch];

if (r[7]==1.0) sprintf(ch,"(03)(12)     %5.3f,   %3d\n",r[7],qr22(0,3,1,2));
   else sprintf(ch,"(03)(12)     %5.3f\n",r[7]);
  [self showEquText: ch];

if (r[8]==1.0) sprintf(ch,"(01)(2)(3)   %5.3f,   %3d\n",r[8],qr211(0,3,1,2));
   else sprintf(ch,"(01)(2)(3)     %5.3f\n",r[8]);
  [self showEquText: ch];

if (r[9]==1.0) sprintf(ch,"(23)(0)(1)   %5.3f,   %3d\n",r[9],qr211(2,3,0,1));
   else sprintf(ch,"(23)(0)(1)     %5.3f\n",r[9]);
  [self showEquText: ch];

if (r[10]==1.0) sprintf(ch,"(02)(1)(3)   %5.3f,   %3d\n",r[10],qr211(0,2,1,3));
   else sprintf(ch,"(02)(1)(3)     %5.3f\n",r[10]);
  [self showEquText: ch];

if (r[11]==1.0) sprintf(ch,"(13)(0)(2)   %5.3f,   %3d\n",r[11],qr211(1,3,0,2));
   else sprintf(ch,"(13)(0)(2)     %5.3f\n",r[11]);
  [self showEquText: ch];

if (r[12]==1.0) sprintf(ch,"(03)(1)(2)   %5.3f,   %3d\n",r[12],qr211(0,3,1,2));
   else sprintf(ch,"(03)(1)(2)     %5.3f\n",r[12]);
  [self showEquText: ch];

if (r[13]==1.0) sprintf(ch,"(12)(0)(3)   %5.3f,   %3d\n",r[13],qr211(1,2,0,3));
   else sprintf(ch,"(12)(0)(3)     %5.3f\n",r[13]);
  [self showEquText: ch];

sprintf(ch,"(0)(1)(2)(3) %5.3f\n",r[14]); [self showEquText: ch];
// printf("goodbye from equAut\n");
return self;
}

int eq01(i,j) int i, j; {return ((i==0&&j==0)||(i!=0&&j!=0));}
int eq02(i,j) int i, j; {return ((i==1&&j==1)||(i!=1&&j!=1));}
int eq03(i,j) int i, j; {return ((i==2&&j==2)||(i!=2&&j!=2));}
int eq04(i,j) int i, j; {return ((i==3&&j==3)||(i!=3&&j!=3));}
int eq05(i,j) int i, j; {return (((i==0||i==1)&&(j==0||j==1))||
	((i==2||i==3)&&(j==2||j==3)));}
int eq06(i,j) int i, j; {return (((i==0||i==2)&&(j==0||j==2))||
	((i==1||i==3)&&(j==1||j==3)));}
int eq07(i,j) int i, j; {return (((i==0||i==3)&&(j==0||j==3))||
	((i==1||i==2)&&(j==1||j==2)));}
int eq08(i,j) int i, j; {return (((i==0||i==1)&&(j==0||j==1))||
	(i==2&&j==2)||(i==3&&j==3));}
int eq09(i,j) int i, j; {return (((i==2||i==3)&&(j==2||j==3))||
	(i==0&&j==0)||(i==1&&j==1));}
int eq10(i,j) int i, j; {return (((i==0||i==2)&&(j==0||j==2))||
	(i==1&&j==1)||(i==3&&j==3));}
int eq11(i,j) int i, j; {return (((i==1||i==3)&&(j==1||j==3))||
	(i==0&&j==0)||(i==2&&j==2));}
int eq12(i,j) int i, j; {return (((i==0||i==3)&&(j==0||j==3))||
	(i==1&&j==1)||(i==2&&j==2));}
int eq13(i,j) int i, j; {return (((i==1||i==2)&&(j==1||j==2))||
	(i==0&&j==0)||(i==3&&j==3));}

int qr13(a,b,c,d) int a, b, c, d; {
int i0, i1, ix[KK]; char ru[2][2];
asctobin();
ix[a]=0; ix[b]=1; ix[c]=1; ix[d]=1;
for (i0=0; i0<KK; i0++) for (i1=0; i1<KK; i1++) 
  ru[ix[i0]][ix[i1]]=ix[binrule[i0][i1]]+'0';
return wowsruno(ru);
}

int qr22(a,b,c,d) int a, b, c, d; {
int i0, i1, ix[KK]; char ru[2][2];
asctobin();
ix[a]=0; ix[b]=0; ix[c]=1; ix[d]=1;
for (i0=0; i0<KK; i0++) for (i1=0; i1<KK; i1++) 
  ru[ix[i0]][ix[i1]]=ix[binrule[i0][i1]]+'0';
return wowsruno(ru);
}

int qr211(a,b,c,d) int a, b, c, d; {
int i0, i1, i2, ix[KK]; char ru[3][3];
asctobin();
ix[a]=0; ix[b]=0; ix[c]=1; ix[d]=2;
for (i0=0; i0<KK; i0++) for (i1=0; i1<KK; i1++) for (i2=0; i2<KK; i2++) 
  ru[ix[i0]][ix[i1]]=ix[binrule[i0][i1]]+'0';
return worsruno(ru);
}

/* ------------------ */

/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* - -   G E N E R A T E   M A T H E M A T I C A   I N T E R F A C E S   - - */
/* - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

- matica:sender 
{ char ch[60];
  int  tl, gbns;
  int  i, j, k, i0, i1, i2, i3, i4, w[KK], c[KK][KK+1][KK+1][KK+1];
  gbns=0;
  if (strcmp([sender title],"Groebner Basis")==0) gbns=YES;
  if (strcmp([sender title],"NSolve")==0)         gbns=NO;
// ++++++++++++++++++++++++++++++++ //
  wru(ch);
  [groeRule setStringValue: ch];
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK+1; i1++)
  for (i2=0; i2<KK+1; i2++) 
  for (i3=0; i3<KK+1; i3++) 
	c[i0][i1][i2][i3]=0;
for (i0=0; i0<KK; i0++) for (i1=0; i1<KK; i1++) {
  w[0]=w[1]=w[2]=w[3]=0;
  w[i0]++; w[i1]++;
  (c[binrule[i0][i1]][w[0]][w[1]][w[2]])++;
  }
if (gbns) sprintf(ch,"GroebnerBasis[{\n"); else sprintf(ch,"NSolve[{\n");
  tl=[groeText textLength];
  [groeText setSel: 0: tl];
  [groeText replaceSel:  ch];
  [groeText scrollSelToVisible]; 
  [groeText display];
for (i=0; i<KK; i++) {
  k=0;
  for (i1=0; i1<KK+1; i1++)
  for (i2=0; i2<KK+1; i2++)
  for (i3=0; i3<KK+1; i3++) {
    if (RR < i1+i2+i3) continue;
    j=c[i][i1][i2][i3];
    if (j == 0) continue;
    if (k > 0) {
	 sprintf(ch," + ");
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (j > 1) {
	 sprintf(ch,"%d " ,j);
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i1==1) {
	 sprintf(ch,"p ");
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i1 > 1) {
	 sprintf(ch,"p^%d ",i1);
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i2==1) {
	 sprintf(ch,"q ");
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i2 > 1) {
	 sprintf(ch,"q^%d ",i2);
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i3==1) {
	 sprintf(ch,"r ");
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i3 > 1) {
	 sprintf(ch,"r^%d ",i3);
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    i4=RR-i1-i2-i3;
    if (i4==1) {
	 sprintf(ch,"s ");
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    if (i4 > 1) {
	 sprintf(ch,"s^%d ",i4);
         tl=[groeText textLength];
         [groeText setSel: tl: tl];
         [groeText replaceSel:  ch];
         [groeText scrollSelToVisible]; 
         [groeText display];
	 }
    k++;
    }
  if (gbns) sprintf(ch," - %c,\n",va[i]);
	 else sprintf(ch," - %c == 0,\n",va[i]);
  tl=[groeText textLength];
  [groeText setSel: tl: tl];
  [groeText replaceSel:  ch];
  [groeText scrollSelToVisible]; 
  [groeText display];
  } 
if (gbns) sprintf(ch,"p + q + r + s - 1\n},{p, q, r,s}]\n");
	else sprintf(ch,"p + q + r + s - 1 == 0\n},{p, q, r,s}]\n");
  tl=[groeText textLength];
  [groeText setSel: tl: tl];
  [groeText replaceSel:  ch];
  [groeText scrollSelToVisible]; 
  [groeText display];

// ++++++++++++++++++++++++++++++++ //

return self;
}


/* - - - - - - -  B R O W S E R    D E L E G A T E - - - - - - */

- (int)browser: sender fillMatrix:  matrix  inColumn:  (int) col
{int   i,  n;
   n=0;
printf("hello from browser \n");

   switch (col) {
	case 0:
         for (i=0; i<4; i++) {
	   [matrix addRow];
	   [[matrix cellAt: i: 0]  setLeaf: NO];
	   [[matrix cellAt: i: 0]  setLoaded: YES];
	   [[matrix cellAt: i: 0]  setEnabled: YES];
	   }
          [[matrix cellAt: 0: 0]  setStringValue: "operators"];
	  [[matrix cellAt: 1: 0]  setStringValue: "predefined"];
	  [[matrix cellAt: 2: 0]  setStringValue: "demostrations"];
	  [[matrix cellAt: 3: 0]  setStringValue: "reversibles"];
	  n=4;
	  break;
	case 1:
    if (strcmp([[sender selectedCell] stringValue], "demostrations")==0) {
	   for (i=0; i<NY; i++) {
	      [matrix addRow];
	      [[matrix cellAt: i: 0]  setStringValue:  recrule[i]];
	      [[matrix cellAt: i: 0]  setLeaf: YES];
	      [[matrix cellAt: i: 0]  setLoaded: YES];	
	      [[matrix cellAt: i: 0]  setEnabled: YES];
	      }
           n=NY;}
    if (strcmp([[sender selectedCell] stringValue], "predefined")==0) {
	   for (i=0; i<1; i++) {
	      [matrix addRow];
	      [[matrix cellAt: i: 0]  setStringValue:  idef[i]];
	      [[matrix cellAt: i: 0]  setLeaf: YES];
	      [[matrix cellAt: i: 0]  setLoaded: YES];	
	      [[matrix cellAt: i: 0]  setEnabled: YES];
	      }
           n=1;}
    if (strcmp([[sender selectedCell] stringValue], "operators")==0) {
	  for (i=0; i<95; i++) {
	      [matrix addRow];
	      [[matrix cellAt: i: 0]  setStringValue:  dtbl[i].r_cmnt];
	      [[matrix cellAt: i: 0]  setLeaf: YES];
	      [[matrix cellAt: i: 0]  setLoaded: YES];	
	      [[matrix cellAt: i: 0]  setEnabled: YES];
	      }
           n=95;}
    if (strcmp([[sender selectedCell] stringValue], "reversibles")==0) {
          for(i=0; i<NRR; i++) {
            [matrix addRow];
            [[matrix cellAt: i: 0]  setStringValue: reverules[i]];
            [[matrix cellAt: i: 0]  setLeaf : YES ];     
            [[matrix cellAt: i: 0]  setLoaded : YES ];   
            [[matrix cellAt: i: 0]  setEnabled : YES ];
	    }
	    n=NRR;}
              break;
           default: n=0; break;}
      printf("hello from operators \n");
return n;
       }


/*- - - - - - - F I L E       A N D     D I R E C T O R Y - - - - - - -*/

- setFilename: (const char *) aFilename
{
printf("hello from setFilename \n");
if (filename)	free(filename);
filename = malloc(strlen(aFilename)+1);
strcpy(filename,   aFilename);
[window setTitleAsFilename:aFilename];
return self;
}

- open: sender
{
	char *types[2] = {"rec",0};
	int	i,   fd;
	NXStream *theStream;

	printf("hello from open\n");
	[[OpenPanel  new] allowMultipleFiles: NO];
	[[OpenPanel  new] chooseDirectories: NO];

	if ([  [OpenPanel  new]  runModalForTypes:types]) {
		[self setFilename: [[OpenPanel  new]   filename]];
		fd=open(filename, O_RDONLY,    06666);
		theStream = NXOpenFile(fd, NX_READONLY);
	//      NXscanf(theStream, "%s",cstr);
			i=0;
			while (NXScanf(theStream,"%c",&cstr[i])!=EOF)  i++;
			phil=strlen(cstr);
		NXClose(theStream);
		close(fd);
		[window setTitleAsFilename: filename];	
	[window setDocEdited: NO];
	[xtrnWin   setSel: 0: [xtrnWin textLength]];
	[xtrnWin   replaceSel: cstr];
	[xtrnWin   scrollSelToVisible];
	[xtrnWin   display];
	}
	return self;
}



- saveAs:sender
{
	id   panel;
	const char *dir;
	char  *file;

/*   prompt  user for a file name and save to that file */
printf("hello from saveAs \n");

	if (filename==0) {
	/*  no filename; set up defaults */
	dir = NXHomeDirectory();
	file=(char*)[window title];
	} else {
	file=rindex(filename, '/');
	if (file) {
		dir  =  filename;
		*file = 0;
		file++;
		} else {
		dir = filename;
		file = (char *) [window title];
		}
	}
panel = [SavePanel new];
[panel   setRequiredFileType:   ""];
if ([panel   runModalForDirectory: dir file: file]) {
	[self   setFilename: [panel   filename]];
	return [self  save: sender];
	}
	return nil;    /*  did'nt save */
}


- save:sender
{
	int			fd;
	NXStream	*theStream;
printf("hello from save \n");

	if (filename==0) return [self    saveAs:  sender];
	[window setTitle: "Saving..."];
	fd  =  open(filename, O_WRONLY |  O_CREAT  |  O_TRUNC,   06666);
	if (fd <0) {
		NXRunAlertPanel(0, "Cannot save file: %s",0,0,0,strerror(errno));
		return self;
		}
	theStream = NXOpenFile(fd, NX_WRITEONLY);
	[xtrnWin   writeText:   theStream];
	NXClose(theStream);
	close(fd);
	[window setTitleAsFilename:   filename];
	printf("bay from save \n");
[window setDocEdited: NO];
	return self;
}


- close:sender
{const char *fname;
int	q;
q=0;
printf("hello from close \n");
	if ([window   isDocEdited])
		// fname=filename  ?   filename  :  [sender title];
		// if  (rindex(fname, '/')) fname = rindex(fname,'/')+1;
	    q=NXRunAlertPanel(
	  	"Save",
		"Save changes to %s?",
		"Save",
		"Don't   Save",
		"Cancel",
		filename);
		if  (q==1)  {if  (![self  save:nil])  return nil;}
		if  (q==-1)  return nil;
		// [sender setDelegate: nil];
		// [proc   free];
		// [self    free];
		return self;
}

- windowWillClose:sender
{
[self    close:   self];
printf("hello from windowWillClose\n");
return self;
}


/* - - - - - - - - - - - R E C   programs - - - - - - - - - - - - - - */
- runREC:sender
{ 
  [value setStringValue: "  "];
  [value setStringValue: (rec(cstr))?"T":"F"];
  return  self;
}
- rerunREC:sender
{
   [xtrnWin getSubstring: cstr start: 0 length: [xtrnWin textLength]];
   [window setDocEdited: YES];
return self;
}


- doRec: sender
{
printf("hello from doRec \n");
	[value setStringValue: " "];
if(rec([sender stringValue]))
	[ value setStringValue:  "T"];
else
	[ value setStringValue:  "F"];
return self;
}


int rec (z)  char *z;
{
 printf("hello from Rec \n");
if (rec_c(z, rprg, PLEN, dtbl) == 1) rec_x(rprg);
    //if (rec_c(z, xprg, PLEN, dtbl) == 1) rec_x(xprg);
}

- copyAndRunREC:sender
 { 
   printf("hello from  copyAndRunREC\n");
   [value setStringValue: " "];
   [execWin setStringValue:[[sender selectedCell] stringValue]];
   if (rec([execWin stringValue]))
      [value  setStringValue: "T"]; else [value setStringValue: "F"];
   return self;
  }

/*********************   REC  program   management   ***********************/	
- loadExternal:sender
{ 
[self loadLowerPanel:externalRECBox];
 return self;
} 

- loadInternal:sender
{ 
[self loadLowerPanel:internalRECBox];
 return self;
}

- loadLowerPanel:thisRECBox
{ NXRect bxRect, loRect;
  [theBigBox  getFrame:&bxRect];
  [thisRECBox getFrame:&loRect];
  [theLilBox  setContentView: [thisRECBox contentView]];
  loRect.origin.x = (bxRect.size.width - loRect.size.width)/2.0;
  loRect.origin.y = (bxRect.size. height - loRect.size.height)/2.0;
  [theLilBox setFrame: &loRect];
  [theBigBox display];
  [theLilBox display];
 return self;
}



@end

/* end GrabBag.m */










 													 


