
/* nxardn4h.c						*/
/* program for lcau4h option 'e'			*/
/* Garden of Eden and counterimage calculations		*/
/* Harold V. McIntosh, 10 February 1990			*/

/*  Copyright (C) 1990	*/
/*  Harold V. McIntosh	*/

# include <math.h>
# include "nxlcau4h.h"
# include "nxardn4h.h"

extern char ascrule[KK][KK];
extern int  binrule[KK][KK];
extern double stt, sta[][K2+1][K2+1];

int  h8[HH];

extern parneih    amat;
extern parneih    bmat;
extern parneih    cmat;
extern parneih    dmat;
extern parneih    fmat;
extern parneih    gmat;
extern parneih    hmat;
extern parneih    xmat;

extern twoparn    tmat;
extern twoparn    umat;
extern twoparn    vmat;

/* edit the Garden of Eden and ancestor calculation */
void edard() {
char c;
int    i, l, ll, m;
int    i0, i1, i2;
int    s0, s1, s2, s3;
int    t0, t1, t2, t3;
double bb, e, f, ff, g, gg;
double ii, ss, h, hh, kay;
double ex, wy, go, gr, gl;
double cave, csig, xave, xsig; 
double cvec[KK][KK];
double xvec[KK][KK];
double rr[3][2], k[4][2];
double stt, sta[5][K2+1][K2+1];
int a, b, s, t;
int ttsum();

  while (0<1) {
  switch (c) {

//    case 'h': histo(amat,bmat,cmat); break;
//    case 'j': rvers(amat,bmat,cmat); break;
//     case 'p':
// 	l=0;
// 	mtmat(hmat,gmat,gmat);
// 	cymat(gmat,hmat);
// 	pmat(gmat,7,4);
// 	t=tsum(gmat);
// 	s=nzel(gmat);
// 	videocursor(0,20,0); printf("%4u (%2u) %5u",t,s,l);
// 	break;
    case 'r': rever(); break;
    case 's':
	videoscroll(1,0,24,39,0,0);
	videocursor(0,1,0);
	if (ss==0) {printf("S required first"); break;}
	  for (i0=0; i0<K2+1; i0++)
	  for (i1=i0; i1<K2+1; i1++)
	    {f=sta[0][i0][i1]; if (f>0.0) {
	    g=sta[1][i0][i1]/f;
	    h=sta[2][i0][i1]/f;
	    e=sqrt(h-g*g);
            printf("%1u%1u %6.1f, %6.3f, %6.2f, %6.3f\n",i0,i1,f,g,h,e);
	    }}
	f=sta[0][3][3]-stt; if (f>0.0) {
	    g=(sta[1][3][3]-3.0*stt)/f;
	    h=(sta[2][3][3]-9.0*stt)/f;
	    e=sqrt(h-g*g);
	    printf("\n");
	    printf("-- %6.1f, %6.3f, %6.2f, %6.3f\n",f,g,h,e);
	    }
	printf("tt %6.1f, %6.3f, %6.2f, %6.3f\n",stt,3.0,9.0,0.0);
	break;
//     case 'u':			/* variance of eigenvector components	*/
// 	auua(&xave,&xsig,&ex,&wy,cvec,xvec,umat);
// 	videocursor(0,22,0); printf("av%6.3f, va%6.3f",xave,xsig);
// 	videocursor(0,24,0); printf(" +%6.3f, ..%6.3f",wy,ex);
// 	break;
//     case 'v':			/* variance of column sums 		*/
// 	avva(&cave,&csig,cvec,tmat);
// 	videocursor(0,23,0); printf("av%6.3f, va%6.3f",cave,csig);
// 	break;
    case 'w':
      videoscroll(1,0,24,39,0,0);
      videocursor(0,1,0);
      if (ss==0) {printf("S required first"); break;}
        for (i0=0; i0<K2+1; i0++)
        for (i1=i0; i1<K2+1; i1++)
	  {f=sta[0][i0][i1]; if (f>0.0) {
	  e=sta[1][i0][i1]/f;
          g=sta[3][i0][i1];
          h=sta[4][i0][i1];
	  ff=((double)(i0*i0+i1*i1+(K2-i0-i1)*(K2-i0-i1)))/9.0;
          printf("%1u%1u  %6.3f, %6.3f, %6.3f, %6.3f\n",i0,i1,g,h,e,ff);
        }}
      break;
//     case 'P':
//  	ll=0;
//  	mmtmat(vmat,umat,umat);
//  	ccymat(umat,vmat);
//  	ppmat(umat,12,0);
//  	t=ttsum(umat);
//  	s=nnzel(umat);
//  	videocursor(0,20,36); printf("%2u",ll);
//  	videocursor(0,22,18); printf("%6u [%4u]        ",t,s);
//  	videocursor(0,23,20); printf("                   ");
//  	videocursor(0,24,20); printf("                   ");
//  	break;
//      case 'S':
//        for (i0=0; i0<5; i0++)
//        for (i1=0; i1<K2+1; i1++) for (i2=0; i2<K2+1; i2++) sta[i0][i1][i2]=0.0;
//        for (i1=0; i1<K2+1; i1++) for (i2=0; i2<K2+1; i2++) sta[3][i1][i2]=10.0;
//        stt=0.0;
//        allmo(&stt,sta);
//        ss=1;
//        break;
//      case '=': m=l; cymat(&xmat,&gmat); break;
//      case '.':
//  	videoscroll(1,0,24,39,0,0);
//  	pmat(amat,1,0);
//  	pmat(bmat,1,4);
//   	pmat(cmat,1,8);
//  	videocursor(0,5,0); printf("a=%1u",t0);
//  	videocursor(0,5,4); printf("b=%1u",t1);
//  	videocursor(0,5,8); printf("c=%1u",t2);
//  	pmat(gmat,7,4);
//  	break;
//      case '?': clard(); break;
    default: break;
    } /* end switch */
  }   /* end while  */
}

/* calculate the first two moments of all rules */
void allmo() {
// int ig, ih, hg[301];
int i0, i1, i2, i3, i4, i5, i6, i7;
int i8, i9, ia, ib, ic, id, ie, ig;
int t0, t1, t2, t3;
double f, g, ff;
printf("running allmo\n");
//   i=0;
//   for (i0=0;  i0<301; i0++)   hg[i0]=0;
//   for (i0=10; i0<360; i0+=50) videodot( 99,i0,1);
//   for (i0=10; i0<360; i0+=50) videodot(199,i0,1);
  for (i0=0; i0<KK; i0++) {binrule[0][0]=i0;
  for (i1=0; i1<KK; i1++) {binrule[0][1]=i1;
  for (i2=0; i2<KK; i2++) {binrule[0][2]=i2;
  for (i3=0; i3<KK; i3++) {binrule[0][3]=i3;
  for (i4=0; i4<KK; i4++) {binrule[1][0]=i4;
  for (i5=0; i5<KK; i5++) {binrule[1][1]=i5;
  for (i6=0; i6<KK; i6++) {binrule[1][2]=i6;
  for (i7=0; i7<KK; i7++) {binrule[1][3]=i7;
  for (i8=0; i8<KK; i8++) {binrule[2][0]=i8;
  for (i9=0; i9<KK; i9++) {binrule[2][1]=i9;
  for (ia=0; ia<KK; ia++) {binrule[2][2]=ia;
  for (ib=0; ib<KK; ib++) {binrule[2][3]=ib;
  for (ic=0; ic<KK; ic++) {binrule[3][0]=ic;
  for (id=0; id<KK; id++) {binrule[3][1]=id;
  for (ie=0; ie<KK; ie++) {binrule[3][2]=ie;
  for (ig=0; ig<KK; ig++) {binrule[3][3]=ig;
    zmat(&amat);  djmat(&amat,0);
    zmat(&bmat);  djmat(&bmat,1);
    zmat(&cmat);  djmat(&cmat,2); 
    zmat(&dmat);  djmat(&dmat,3);
    zzmat(&tmat); tensq(&tmat,&amat,&bmat,&cmat,&dmat);
    t0=tsum(&amat);
    t1=tsum(&bmat);
    t2=tsum(&cmat);
    t3=tsum(&dmat);
    if (t0<=t1&&t1<=t2&&t2<=t3)
      {
      mmmat(&vmat,&tmat,&tmat);		/* fast approx to eigenvalue */
      mmmat(&umat,&tmat,&vmat);
      mmmat(&vmat,&tmat,&umat);
      ff=(double)ttsum(&umat);
      f= (double)ttsum(&vmat);
      g=f/ff;
//       ig=(int)(300.0*((g-3.0)/6.0));
//       hg[ig]++;
//       ih=hg[ig]; if (ih>100) ih=100+ih/10;
//       videodot(199-ih,10+ig,2);
      sta[0][t0][t1]+=1.0;
      sta[1][t0][t1]+=g; sta[2][t0][t1]+=g*g;
      if (sta[3][t0][t1]>=g) sta[3][t0][t1]=g;
      if (sta[4][t0][t1]<=g) sta[4][t0][t1]=g;
      if (g==4.0) stt+=1.0;
//      videocursor(0,10,20); printf("%5u %6.3f %1u %1u %1u",i,g,t0,t1,t2);
      }
//     i++;
    }}}}}}}}}}}}}}}}
}

/* calculate separated vertices in tensor square axa+bxb+cxc */
void distpair(tmat) twoparn *tmat; {int i, j;
  for (i=0; i<KK; i++) for (j=0; j<KK; j++) {
    tmat->four[0][0][i][j]=tmat->four[i][j][0][0]=
    tmat->four[1][1][i][j]=tmat->four[i][j][1][1]=
    tmat->four[2][2][i][j]=tmat->four[i][j][2][2]=
    tmat->four[3][3][i][j]=tmat->four[i][j][3][3]=
    0;
    }
}

/* calculate separated vertices in tensor cube axaxa+bxbxb+cxcxc */
void disttrip(ttmat) thrparn *ttmat; {
int i, j, k;
  for (i=0; i<KK; i++) for (j=0; j<KK; j++) for (k=0; k<KK; k++) {
    ttmat->six[0][0][0][i][j][k]=ttmat->six[i][j][k][0][0][0]=
    ttmat->six[0][0][1][i][j][k]=ttmat->six[i][j][k][0][0][1]=
    ttmat->six[0][0][2][i][j][k]=ttmat->six[i][j][k][0][0][2]=
    ttmat->six[0][0][3][i][j][k]=ttmat->six[i][j][k][0][0][3]=

    ttmat->six[0][1][0][i][j][k]=ttmat->six[i][j][k][0][1][0]=
    ttmat->six[0][1][1][i][j][k]=ttmat->six[i][j][k][0][1][1]=
//    ttmat->six[0][1][2][i][j][k]=ttmat->six[i][j][k][0][1][2]=
//    ttmat->six[0][1][3][i][j][k]=ttmat->six[i][j][k][0][1][3]=

    ttmat->six[0][2][0][i][j][k]=ttmat->six[i][j][k][0][2][0]=
//    ttmat->six[0][2][1][i][j][k]=ttmat->six[i][j][k][0][2][1]=
    ttmat->six[0][2][2][i][j][k]=ttmat->six[i][j][k][0][2][2]=0;
//    ttmat->six[0][2][3][i][j][k]=ttmat->six[i][j][k][0][2][3]=0;

    ttmat->six[0][3][0][i][j][k]=ttmat->six[i][j][k][0][3][0]=
//    ttmat->six[0][3][1][i][j][k]=ttmat->six[i][j][k][0][3][1]=
//    ttmat->six[0][3][2][i][j][k]=ttmat->six[i][j][k][0][3][2]=0;
    ttmat->six[0][3][3][i][j][k]=ttmat->six[i][j][k][0][3][3]=0;

 /*==*/

    ttmat->six[1][0][0][i][j][k]=ttmat->six[i][j][k][1][0][0]=
    ttmat->six[1][0][1][i][j][k]=ttmat->six[i][j][k][1][0][1]=
//    ttmat->six[1][0][2][i][j][k]=ttmat->six[i][j][k][1][0][2]=
//    ttmat->six[1][0][3][i][j][k]=ttmat->six[i][j][k][1][0][3]=

    ttmat->six[1][1][0][i][j][k]=ttmat->six[i][j][k][1][1][0]=
    ttmat->six[1][1][1][i][j][k]=ttmat->six[i][j][k][1][1][1]=
    ttmat->six[1][1][2][i][j][k]=ttmat->six[i][j][k][1][1][2]=
    ttmat->six[1][1][3][i][j][k]=ttmat->six[i][j][k][1][1][3]=

//    ttmat->six[1][2][0][i][j][k]=ttmat->six[i][j][k][1][2][0]=
    ttmat->six[1][2][1][i][j][k]=ttmat->six[i][j][k][1][2][1]=
    ttmat->six[1][2][2][i][j][k]=ttmat->six[i][j][k][1][2][2]=0;
//    ttmat->six[1][2][3][i][j][k]=ttmat->six[i][j][k][1][2][3]=0;

//    ttmat->six[1][3][0][i][j][k]=ttmat->six[i][j][k][1][3][0]=
    ttmat->six[1][3][1][i][j][k]=ttmat->six[i][j][k][1][3][1]=
//    ttmat->six[1][3][2][i][j][k]=ttmat->six[i][j][k][1][3][2]=0;
    ttmat->six[1][3][3][i][j][k]=ttmat->six[i][j][k][1][3][3]=0;

 /*==*/

    ttmat->six[2][0][0][i][j][k]=ttmat->six[i][j][k][2][0][0]=
//    ttmat->six[2][0][1][i][j][k]=ttmat->six[i][j][k][2][0][1]=
    ttmat->six[2][0][2][i][j][k]=ttmat->six[i][j][k][2][0][2]=
//    ttmat->six[2][0][3][i][j][k]=ttmat->six[i][j][k][2][0][3]=

//    ttmat->six[2][1][0][i][j][k]=ttmat->six[i][j][k][2][1][0]=
    ttmat->six[2][1][1][i][j][k]=ttmat->six[i][j][k][2][1][1]=
    ttmat->six[2][1][2][i][j][k]=ttmat->six[i][j][k][2][1][2]=
//    ttmat->six[2][1][3][i][j][k]=ttmat->six[i][j][k][2][1][3]=

    ttmat->six[2][2][0][i][j][k]=ttmat->six[i][j][k][2][2][0]=
    ttmat->six[2][2][1][i][j][k]=ttmat->six[i][j][k][2][2][1]=
    ttmat->six[2][2][2][i][j][k]=ttmat->six[i][j][k][2][2][2]=0;
    ttmat->six[2][2][3][i][j][k]=ttmat->six[i][j][k][2][2][3]=0;

//    ttmat->six[2][3][0][i][j][k]=ttmat->six[i][j][k][2][3][0]=
//    ttmat->six[2][3][1][i][j][k]=ttmat->six[i][j][k][2][3][1]=
    ttmat->six[2][3][2][i][j][k]=ttmat->six[i][j][k][2][3][2]=0;
    ttmat->six[2][3][3][i][j][k]=ttmat->six[i][j][k][2][3][3]=0;

 /*==*/

    ttmat->six[3][0][0][i][j][k]=ttmat->six[i][j][k][3][0][0]=
//    ttmat->six[3][0][1][i][j][k]=ttmat->six[i][j][k][3][0][1]=
//    ttmat->six[3][0][2][i][j][k]=ttmat->six[i][j][k][3][0][2]=
    ttmat->six[3][0][3][i][j][k]=ttmat->six[i][j][k][3][0][3]=

//    ttmat->six[3][1][0][i][j][k]=ttmat->six[i][j][k][3][1][0]=
    ttmat->six[3][1][1][i][j][k]=ttmat->six[i][j][k][3][1][1]=
//    ttmat->six[3][1][2][i][j][k]=ttmat->six[i][j][k][3][1][2]=
    ttmat->six[3][1][3][i][j][k]=ttmat->six[i][j][k][3][1][3]=

//    ttmat->six[3][2][0][i][j][k]=ttmat->six[i][j][k][3][2][0]=
//    ttmat->six[3][2][1][i][j][k]=ttmat->six[i][j][k][3][2][1]=
    ttmat->six[3][2][2][i][j][k]=ttmat->six[i][j][k][3][2][2]=0;
    ttmat->six[3][2][3][i][j][k]=ttmat->six[i][j][k][3][2][3]=0;

    ttmat->six[3][3][0][i][j][k]=ttmat->six[i][j][k][3][3][0]=
    ttmat->six[3][3][1][i][j][k]=ttmat->six[i][j][k][3][3][1]=
    ttmat->six[3][3][2][i][j][k]=ttmat->six[i][j][k][3][3][2]=0;
    ttmat->six[3][3][3][i][j][k]=ttmat->six[i][j][k][3][3][3]=0;

    }
  }

/* calculate tensor cube axaxa+bxbxb+cxcxc */
void tencu(cumat,amat,bmat,cmat,dmat) 
	thrparn *cumat; parneih *amat, *bmat, *cmat, *dmat; {
int i0, i1, i2, i3, i4, i5;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
  cumat->six[i0][i1][i2][i3][i4][i5]+=
	amat->two[i0][i3]*amat->two[i1][i4]*amat->two[i2][i5]+
	bmat->two[i0][i3]*bmat->two[i1][i4]*bmat->two[i2][i5]+
	cmat->two[i0][i3]*cmat->two[i1][i4]*cmat->two[i2][i5]+
	dmat->two[i0][i3]*dmat->two[i1][i4]*dmat->two[i2][i5];
}

/* calculate tensor square axa+bxb+cxc+dxd */
void tensq(tmat,amat,bmat,cmat,dmat)
  twoparn *tmat;
  parneih *amat, *bmat, *cmat, *dmat; {
int i0, i1, i2, i3;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  {
  tmat->four[i0][i1][i2][i3]+=amat->two[i0][i2]*amat->two[i1][i3];
  tmat->four[i0][i1][i2][i3]+=bmat->two[i0][i2]*bmat->two[i1][i3];
  tmat->four[i0][i1][i2][i3]+=cmat->two[i0][i2]*cmat->two[i1][i3];
  tmat->four[i0][i1][i2][i3]+=dmat->two[i0][i2]*dmat->two[i1][i3];
  }
}

/* coefficients of characteristic equation */
void cheq(k,z) double k[4][2]; int z[KK][KK]; {
int t, p, d;
t=z[0][0]+z[1][1]+z[2][2];
p=z[0][0]*z[1][1]-z[0][1]*z[1][0];
p+=z[1][1]*z[2][2]-z[1][2]*z[2][1];
p+=z[2][2]*z[0][0]-z[2][0]*z[0][2];
d=z[0][0]*(z[1][1]*z[2][2]-z[1][2]*z[2][1]);
d+=z[0][1]*(z[1][2]*z[2][0]-z[1][0]*z[2][2]);
d+=z[0][2]*(z[2][1]*z[1][0]-z[1][1]*z[2][0]);
k[0][0]= 1.0;       k[0][1]=0.0;
k[1][0]=-(double)t; k[1][1]=0.0;
k[2][0]= (double)p; k[2][1]=0.0;
k[3][0]=-(double)d; k[3][1]=0.0;
}

/* clear edard screen and set up menu */
void clard() {
  videomode(COLGRAF);
  videopalette(YELREGR);
  videocursor(0,0,0);
  scrrul();
  videocursor(0,3,0);
  printf("counterimages\n\n");
  printf("abc - 0,1 matrix\n");
  printf("ABC - times abc \n");
  printf("=Xx - saved mtrx\n");
  printf("Tt  - tensor sq \n");
  printf("Q   - square    \n");
  printf("Ll  - eigenvalue\n");
  printf("h   - histogram \n");
  printf("j   - ancestors \n");
  printf("Ss   - all rules\n");
  printf("                \n");
  printf("?/   - hlp clr  \n");
  printf("<cr> - exit\n\n");
}

void rvers(amat,bmat,cmat,dmat) parneih *amat, *bmat, *cmat, *dmat; {
parneih    xmat;
parneih    m1[KK];
parneih    m2[KK][KK];
parneih    m3[KK][KK][KK];
parneih    m4[KK][KK][KK][KK];
int    i, i0, i1, i2, i3;
int    t1[KK], t2[KK][KK], t3[KK][KK][KK], t4[KK][KK][KK][KK];
double o, q, r, s, t, u, v, w, kk1, kk2, kk3, kk4, curt(), fort();

kk1=(double)KK;
kk2=(double)K2;
kk3=(double)K3;
kk4=(double)K4;
// videoscroll(1,0,24,39,0,0);
cymat(&m1[0],&amat);
cymat(&m1[1],&bmat);
cymat(&m1[2],&cmat);
cymat(&m1[3],&dmat);
for (i0=0; i0<KK; i0++) t1[i0]=tsum(&m1[i0]);
//videocursor(0,2,0); printf("%3u,%3u,%3u",t1[0],t1[1],t1[2]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  {
  mmat(&m2[i0][i1],&m1[i0],&m1[i1]);
  t2[i0][i1]=tsum(&m2[i0][i1]);
  }
// videocursor(0,4,0);
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  printf("%3u,",t2[i0][i1]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
  {
  mmat(&m3[i0][i1][i2],&m1[i0],&m2[i1][i2]);
  t3[i0][i1][i2]=tsum(&m3[i0][i1][i2]);
  }
// videocursor(0,6,0);
for (i0=0; i0<KK; i0++)
  {
  for (i1=0; i1<KK; i1++)
  for (i2=0; i2<KK; i2++)
    printf("%3u,",t3[i0][i1][i2]);
  printf("\n");
  }

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  {
  mmat(&m4[i0][i1][i2][i3],&m2[i0][i1],&m2[i2][i3]);
  t4[i0][i1][i2][i3]=tsum(&m4[i0][i1][i2][i3]);
  }
// videocursor(0,10,0);
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  {
  for (i2=0; i2<KK; i2++)
  for (i3=0; i3<KK; i3++)
    printf("%3u,",t4[i0][i1][i2][i3]);
  printf("\n");
  }

q=r=s=0.0;
for (i=0; i<KK; i++) {t=((double)(t1[i]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=sqrt(s/kk1); videocursor(0,20,0);  printf("%6.2f",t);
t=curt(r/kk1); videocursor(0,20,10); printf("%6.2f",t);
t=fort(q/kk1); videocursor(0,20,20); printf("%6.2f",t);

q=r=s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
 {t=((double)(t2[i0][i1]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=sqrt(s/kk2); videocursor(0,21,0);  printf("%6.2f",t);
t=curt(r/kk2); videocursor(0,21,10); printf("%6.2f",t);
t=fort(q/kk2); videocursor(0,21,20); printf("%6.2f",t);

q=r=s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
  {t=((double)(t3[i0][i1][i2]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=u=sqrt(s/kk3); videocursor(0,22,0);  printf("%6.2f",t);
t=v=curt(r/kk3); videocursor(0,22,10); printf("%6.2f",t);
t=w=fort(q/kk3); videocursor(0,22,20); printf("%6.2f",t);

q=r=s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  {t=((double)(t4[i0][i1][i2][i3]-AV)); o=t*t; s+=o; r+=o*t; q+=o*o;}
t=sqrt(s/kk4); videocursor(0,23,0);  printf("%6.2f",t);
s=1.0; if (u!=0.0) s=t/u;
videocursor(0,24,0); printf("r:%6.2f",s);
t=curt(r/kk4); videocursor(0,23,10); printf("%6.2f",t);
s=1.0; if (v!=0.0) s=t/v;
videocursor(0,24,12); printf("r:%6.2f",s);
t=fort(q/kk4); videocursor(0,23,20); printf("%6.2f",t);
s=1.0; if (w!=0.0) s=t/w;
videocursor(0,24,24); printf("r:%6.2f",s);

}

void histo(amat,bmat,cmat,dmat) parneih *amat, *bmat, *cmat, *dmat; {
parneih    xmat;
parneih    m1[KK];
parneih    m2[KK][KK];
parneih    m4[KK][KK][KK][KK];
int    i, i0, i1, i2, i3, i4, i5, i6, i7;
int    t8[KK][KK][KK][KK][KK][KK][KK][KK];
int    po, da, h8[HH];
double s, t, kk8;

kk8=(double)K8;
videoscroll(1,0,24,39,0,0);
cymat(&m1[0],&amat);
cymat(&m1[1],&bmat);
cymat(&m1[2],&cmat);
cymat(&m1[3],&dmat);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  mmat(&m2[i0][i1],&m1[i0],&m1[i1]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
  mmat(&m4[i0][i1][i2][i3],&m2[i0][i1],&m2[i2][i3]);

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {
  mmat(&xmat,&m4[i0][i1][i2][i3],&m4[i4][i5][i6][i7]);
  t8[i0][i1][i2][i3][i4][i5][i6][i7]=tsum(&xmat);
  }

for (i0=0; i0<HH; i0++) h8[i0]=0;

for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {i=t8[i0][i1][i2][i3][i4][i5][i6][i7]; if (i<HH) h8[i]++;}

po=da=0;
for (i=0; i<HH; i++)
  {
  i0=i%20;
  i1=i/20;
  po+=h8[i];
  da+=i*h8[i];
  videocursor(0,i0+1,13*i1+1);
  printf("%2u %4u %4u",i,h8[i],po);
  }

videocursor(0,22,0);  printf("ttl %4u in %4u pts;",AV*K8,K8);
videocursor(0,23,0);  printf("average: %2u",AV);
videocursor(0,22,23); printf("beyond:%5u,%3u",AV*K8-da,K8-po);

s=0.0;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
for (i2=0; i2<KK; i2++)
for (i3=0; i3<KK; i3++)
for (i4=0; i4<KK; i4++)
for (i5=0; i5<KK; i5++)
for (i6=0; i6<KK; i6++)
for (i7=0; i7<KK; i7++)
  {t=((double)(t8[i0][i1][i2][i3][i4][i5][i6][i7]-AV)); s+=t*t;}
t=sqrt(s/kk8);
videocursor(0,23,24); printf("sigma:   %6.2f",t);
s=1.0; if (t>1.0) s=exp(log(t)/8.0);
videocursor(0,24,0); printf("relative sigma:   %6.2f",s);

}

double curt(z) double z; {return exp(log(z)/3.0);}

double fort(z) double z; {return exp(log(z)/4.0);}

void rever() {
char chb[WNML], chc[WNML], clm[WNML];
char chd[28];
char che[244];
char bsqrule[KK][KK], csqrule[KK][KK];
char dsqrule[KK][KK][KK][KK];
char esqrule[KK][KK][KK][KK][KK][KK];
char ii[RSYM][KK][KK], wbnum[RSYM][WNML], wcnum[RSYM][WNML];
int brul[KK][KK], crul[KK][KK], drul[KK][KK][KK][KK];
int erul[KK][KK][KK][KK][KK][KK];
int i00,i01,i02,i03;
int i10,i11,i12,i13;
int i20,i21,i22,i23;
int i30,i31,i32,i33;
int j0,j1;//,j2,j3,j4,j5;
int kay[KK];
int i, k, l, m;
int kk, ll, mm, nn, oo;
printf("hello from rever\n");
kk=ll=mm=0;
k=l=m=0;
for (i=0; i<KK; i++) kay[i]=0;
for (i00=0; i00<KK; i00++) {brul[0][0]=i00;
	if (kay[i00]>KK) break; kay[i00]++;
for (i11=0; i11<KK; i11++) {brul[1][1]=i11;
	if (i11==i00) continue;
	if (kay[i11]>KK) break; kay[i11]++;
for (i22=0; i22<KK; i22++) {brul[2][2]=i22;
	if (i22==i00) continue;
	if (i22==i11) continue;
	if (kay[i22]>KK) break; kay[i22]++;
for (i33=0; i33<KK; i33++) {brul[3][3]=i33;
	if (i33==i00) continue;
	if (i33==i11) continue;
	if (i33==i22) continue;
	if (kay[i33]>KK) break; kay[i33]++;
for (i01=0; i01<KK; i01++) {brul[0][1]=i01;
	if (kay[i01]>KK) break; kay[i01]++;
for (i10=0; i10<KK; i10++) {brul[1][0]=i10;
	if (i10==i01) continue;
	if (kay[i10]>KK) break; kay[i10]++;
for (i02=0; i02<KK; i02++) {brul[0][2]=i02;
	if (kay[i02]>KK) break; kay[i02]++;
for (i20=0; i20<KK; i20++) {brul[2][0]=i20;
	if (i20==i02) continue;
	if (kay[i20]>KK) break; kay[i20]++;
for (i03=0; i03<KK; i03++) {brul[0][3]=i03;
	if (kay[i03]>KK) break; kay[i03]++;
for (i30=0; i30<KK; i30++) {brul[3][0]=i30;
	if (i30==i03) continue;
	if (kay[i30]>KK) break; kay[i30]++;
for (i12=0; i12<KK; i12++) {brul[1][2]=i12;
	if (kay[i12]>KK) break; kay[i12]++;
for (i21=0; i21<KK; i21++) {brul[2][1]=i21;
	if (i21==i12) continue;
	if (kay[i21]>KK) break; kay[i21]++;
for (i13=0; i13<KK; i13++) {brul[1][3]=i13;
	if (kay[i13]>KK) break; kay[i13]++;
for (i31=0; i31<KK; i31++) {brul[3][1]=i31;
	if (i31==i13) continue;
	if (kay[i31]>KK) break; kay[i31]++;
for (i23=0; i23<KK; i23++) {brul[2][3]=i23;
	if (kay[i23]>KK) break; kay[i23]++;
for (i32=0; i32<KK; i32++) {brul[3][2]=i32;
	if (i32==i23) continue;
	if (kay[i32]>KK) break; kay[i32]++;

  kk++;
  ll++;
  mm++;

  if (tuniq(erul,brul)) {
     byntoasc(bsqrule,brul);
     wrru(chb,bsqrule);
     nn=allperm(wbnum,ii,bsqrule);
//     bynfhtoasc(esqrule,erul);
//     wfhru(che,esqrule);
     byntoasc(ascrule,brul);
     clumin(clm);
     printf("tuniq, m = %4d: %s   %s   %s (%4d)\n",
		++m,clm,wbnum[nn],chb,mm);
     if (suniq(drul,brul)) {
        byntoasc(bsqrule,brul);
        wrru(chb,bsqrule);
//        bynthtoasc(dsqrule,drul);
        nn=allperm(wbnum,ii,bsqrule);
//	       wthru(chd,dsqrule);
//	       printf("suniq, l = %4d: %s   %s   %s\n",
//		++l,wbnum[nn],chb,chd);
        printf("suniq, l = %4d: %s   %s   %s (%4d)\n",
		++l,clm,wbnum[nn],chb,ll);
        if (runiq(crul,brul)) {
	   byntoasc(bsqrule,brul);
	   wrru(chb,bsqrule);
	   byntoasc(csqrule,crul);
	   wrru(chc,csqrule);
	   nn=allperm(wbnum,ii,bsqrule);
	   oo=allperm(wcnum,ii,csqrule);
	   printf("runiq, k = %4d: %s   %s   %s   %s  %s (%4d)\n",
		++k,clm,wbnum[nn],chb,chc,wcnum[oo],kk);
	   kk=0;
	 }
      ll=0;
      }
    mm=0;
    }
  kay[i32]--;}
  kay[i23]--;}
  kay[i31]--;}
  kay[i13]--;}
  kay[i21]--;}
  kay[i12]--;}
  kay[i30]--;}
  kay[i03]--;}
  kay[i20]--;}
  kay[i02]--;}
  kay[i10]--;}
  kay[i01]--;}
  kay[i33]--;}
  kay[i22]--;}
  kay[i11]--;}
  kay[i00]--;}
  /* end for nest */
}

int runiq(crul,brul) int crul[KK][KK], brul[KK][KK]; {
int a, b;
int j0, j1, j2;
for (j0=0; j0<KK; j0++) for (j1=0; j1<KK; j1++) crul[j0][j1]=KK;
for (j0=0; j0<KK; j0++) for (j1=0; j1<KK; j1++) for (j2=0; j2<KK; j2++) {
  a=brul[j0][j1];
  b=brul[j1][j2];
  if (crul[a][b]==KK) crul[a][b]=j1;
  if (crul[a][b]!=j1) return(0);
  }
return(1);
}

int suniq(drul,brul) int brul[KK][KK], drul[KK][KK][KK][KK]; {
int a, b, e, f;
int j0, j1, j2, j3, j4;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
  drul[j0][j1][j2][j3]=KK;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++) {
  a=brul[j0][j1];
  b=brul[j1][j2];
  e=brul[j2][j3];
  f=brul[j3][j4];
  if (drul[a][b][e][f]==KK) drul[a][b][e][f]=j2;
  if (drul[a][b][e][f]!=j2) return(0);
  }
return(1);
}

int tuniq(erul,brul) int brul[KK][KK], erul[KK][KK][KK][KK][KK][KK]; {
int a, b, e, f, g, h;
int j0, j1, j2, j3, j4, j5, j6;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
  erul[j0][j1][j2][j3][j4][j5]=KK;
for (j0=0; j0<KK; j0++)
for (j1=0; j1<KK; j1++)
for (j2=0; j2<KK; j2++)
for (j3=0; j3<KK; j3++)
for (j4=0; j4<KK; j4++)
for (j5=0; j5<KK; j5++)
for (j6=0; j6<KK; j6++) {
  a=brul[j0][j1];
  b=brul[j1][j2];
  e=brul[j2][j3];
  f=brul[j3][j4];
  g=brul[j4][j5];
  h=brul[j5][j6];
  if (erul[a][b][e][f][g][h]==KK) erul[a][b][e][f][g][h]=j3;
  if (erul[a][b][e][f][g][h]!=j3) return(0);
  }
return(1);
}

/* fill ascrule from binrule */
void byntoasc(as,bi) char as[KK][KK]; int bi[KK][KK]; 
{int i0, i1; 
  for (i0=0; i0<KK; i0++) 
  for (i1=0; i1<KK; i1++) 
    as[i0][i1]=bi[i0][i1]+'0';
}

/* fill (3,3/2) ascrule from (3,3/2) binrule */
void bynthtoasc(as,bi) char as[KK][KK][KK][KK]; int bi[KK][KK][KK][KK]; 
{int i0, i1, i2, i3; 
  for (i0=0; i0<KK; i0++) 
  for (i1=0; i1<KK; i1++) 
  for (i2=0; i2<KK; i2++) 
  for (i3=0; i3<KK; i3++) 
    as[i0][i1][i2][i3]=bi[i0][i1][i2][i3]+'0';
}

/* fill (3,5/2) ascrule from (3,5/2) binrule */
void bynfhtoasc(as,bi) char as[KK][KK][KK][KK][KK][KK];
		        int bi[KK][KK][KK][KK][KK][KK]; 
{int i0, i1, i2, i3, i4, i5; 
  for (i0=0; i0<KK; i0++) 
  for (i1=0; i1<KK; i1++) 
  for (i2=0; i2<KK; i2++) 
  for (i3=0; i3<KK; i3++) 
  for (i4=0; i4<KK; i4++) 
  for (i5=0; i5<KK; i5++) 
    as[i0][i1][i2][i3][i4][i5]=bi[i0][i1][i2][i3][i4][i5]+'0';
}

/* print matrix */
void pmat(z) parneih *z; {
int i0,i1;
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK; i1++)
    {printf("%1d",z->two[i0][i1]);}
}

/* print matrix */
void ppmat(z) twoparn *z; {
int i0, i1, i2, i3;
for (i0=0; i0<KK; i0++)
for (i1=0; i1<KK; i1++)
  {
  for (i2=0; i2<KK; i2++)
  for (i3=0; i3<KK; i3++)
    printf("%4u",z->four[i0][i1][i2][i3]);
  }
}

/* display K4xK4 matrix */
void qqmat(z) twoparn *z; {
int i0, i1, k, l;
for (i0=0; i0<K4; i0++)
for (i1=0; i1<K4; i1++)
  {
  k=0; l=z->two[i0][i1];
  if (l==1) k=1;
  if (l>=2) k=2;
  if (l>=4) k=3;
  videodot(i0,i1,k);
  }
}

/* total matrix elements */
int tsum(z) parneih *z; {
int t, i;
    for (i=0, t=0; i<K2; i++) t+=z->one[i];
  return t;
}

/* total matrix elements */
int ttsum(z) twoparn *z; {
int t, i;
    for (i=0, t=0; i<K4; i++) t+=z->one[i];
  return t;
}

/* count nonzero matrix elements */
int nzel(z) parneih *z; {
int t, i0,i1;
  t=0;
    for (i0=0; i0<KK; i0++)
      for (i1=0; i1<KK; i1++)
        if (z->two[i0][i1]!=0) t++;
  return t;
}

/* count nonzero matrix elements */
int nnzel(z) twoparn *z; {
int t, i0, i1, i2, i3;
  t=0;
    for (i0=0; i0<KK; i0++)
    for (i1=0; i1<KK; i1++)
    for (i2=0; i2<KK; i2++)
    for (i3=0; i3<KK; i3++)
        if (z->four[i0][i1][i2][i3]!=0) t++;
  return t;
}

/* calculate row sums */
void rowsum(x,z) int x[KK]; parneih *z; {int i0, j0;
for (i0=0; i0<KK; i0++) {
  x[i0]=0;
  for (j0=0; j0<KK; j0++) x[i0]+=z->two[i0][j0];
  }
}

/* calculate column sums */
void colsum(x,z) int x[KK]; parneih *z; {int i0, j0;
for (j0=0; j0<KK; j0++) {
  x[j0]=0;
  for (i0=0; i0<KK; i0++) x[j0]+=z->two[i0][j0];
  }
}

/* copy one KKxKK matrix from another: z=x */
void cymat(z,x) parneih *z, *x; {
int i; for (i=0; i<K2; i++) z->one[i]=x->one[i];
}

/* copy one K2xK2 matrix from another: z=x */
void ccymat(z,x) twoparn *z, *x; {
int i; for (i=0; i<K4; i++) z->one[i]=x->one[i];
}

/* multiply matrices */
void mmat(z,x,y) parneih *z, *x, *y; {
int i0,i1,i2;
    for (i0=0; i0<KK; i0++)
    for (i2=0; i2<KK; i2++)
      {
      z->two[i0][i2]=0;
      for (i1=0; i1<KK; i1++) z->two[i0][i2]+=x->two[i0][i1]*y->two[i1][i2];
      }
}

/* multiply transpose of first matrix by second */
void mtmat(z,x,y) parneih *z, *x, *y; {
int i0,i1,i2;
    for (i0=0; i0<KK; i0++)
    for (i2=0; i2<KK; i2++)
      {
      z->two[i0][i2]=0;
      for (i1=0; i1<KK; i1++) z->two[i0][i2]+=x->two[i1][i0]*y->two[i1][i2];
      }
}

/* multiply matrices */
void mmmat(z,x,y) twoparn *z, *x, *y; {
int i0, i1, i2, i3, i4, i5;
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK; i1++)
    for (i4=0; i4<KK; i4++)
    for (i5=0; i5<KK; i5++)
      {
      z->four[i0][i1][i4][i5]=0;
      for (i2=0; i2<KK; i2++)
      for (i3=0; i3<KK; i3++)
	z->four[i0][i1][i4][i5]+=x->four[i0][i1][i2][i3]*y->four[i2][i3][i4][i5];
      }
}

/* multiply K2xK2*K2 matrices */
void mmmmat(z,x,y) thrparn *z, *x, *y; {
int i0, i1, i2;
  for (i0=0; i0<K3; i0++)
  for (i2=0; i2<K3; i2++)
      {
      z->two[i0][i2]=0;
      for (i1=0; i1<K3; i1++) z->two[i0][i2]+=x->two[i0][i1]*y->two[i1][i2];
      }
}

/* multiply transpose of first K2xK2 matrix by second */
void mmtmat(z,x,y) twoparn *z, *x, *y; {
int i0,i1,i2;
    for (i0=0; i0<K2; i0++)
    for (i2=0; i2<K2; i2++)
      {
      z->two[i0][i2]=0;
      for (i1=0; i1<K2; i1++) z->two[i0][i2]+=x->two[i1][i0]*y->two[i1][i2];
      }
}

/* generate the de Bruijn fragment evolving to l in matrix z */
void djmat(z,l) int l; parneih *z; {
int i0,i1;
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK; i1++)
    z->two[i0][i1]=(binrule[i0][i1]==l)?1:0;
}

/* zero a KKxKK matrix */
void zmat(z) parneih *z; {
int i; for (i=0; i<K2; i++) z->one[i]=0;
}

/* generate a K2xK2 unit matrix */
void unmat(z) twoparn *z; {
int i0, i1;
  zzmat(z);
  for (i0=0; i0<KK; i0++)
  for (i1=0; i1<KK; i1++)
    z->four[i0][i1][i0][i1]=1;
}

/* generate a K2xK2xK2 unit matrix */
void unimat(z) thrparn *z; 
{int i; zzzmat(z); for (i=0; i<K3; i++) z->two[i][i]=1;}

/* zero a K2xK2 matrix */
void zzmat(z) twoparn *z; {
int i; for (i=0; i<K4; i++) z->one[i]=0;
}

/* zero a K2xK2xK2 matrix */
void zzzmat(z) thrparn *z; {int i; for (i=0; i<K2*K2*K2; i++) z->one[i]=0;}

/* average and variance of eigenvector components */

void auua(ave,var,ex,wy,cve,vec,mat)
 double *ave, *var, *ex, *wy, *cve, *vec;
 twoparn *mat; {
int    i, j;
double a, v, p, q, r, kk2;
kk2=(double)K2;
for (i=0; i<K2; i++)
for (vec[i]=0.0, j=0; j<K2; j++)
  vec[i]+=(double)mat->two[j][i];
for (a=0.0, i=0; i<K2; i++) a+=vec[i];
for (i=0; i<K2; i++) vec[i]/=a;
a=1.0/kk2;
for (i=0; i<K2; i++) vec[i]-=a;
for (v=0.0, i=0; i<K2; i++) v+=vec[i]*vec[i];
for (p=q=r=0.0, i=0; i<K2; i++)
  {
  p+=cve[i]*vec[i];
  q+=cve[i]*cve[i];
  r+=vec[i]*vec[i];
  }
*ave=a;
*var=sqrt(v/kk2);
*ex=0.0; if(q*r>0.0) *ex=p/sqrt(q*r);
*wy=p;
}

/* average and variance of column sums */

void avva(ave,var,vec,mat) double *ave, *var, *vec; twoparn *mat; {
int    i, j;
double a, v, kk2;
kk2=(double)K2;
for (i=0; i<K2; i++)
for (vec[i]=0.0, j=0; j<K2; j++)
  vec[i]+=(double)mat->two[i][j];
for (a=0.0, i=0; i<K2; i++) a+=vec[i];
a/=kk2;
for (i=0; i<K2; i++) vec[i]-=a;
for (v=0.0, i=0; i<K2; i++) v+=vec[i]*vec[i];
*ave=a;
*var=sqrt(v/kk2);
}


/* end  nxardn4h.c */
